package com.hfkj.service.impl;

import com.hfkj.dao.SecConfigMapper;
import com.hfkj.entity.SecConfig;
import com.hfkj.service.SecConfigService;
import org.springframework.stereotype.Service;
import javax.annotation.Resource;

@Service("secConfigService")
public class SecConfigServiceImpl implements SecConfigService {

    @Resource
    private SecConfigMapper secConfigMapper;

    @Override
    public void create(SecConfig secConfig) {
        secConfigMapper.insert(secConfig);
    }

    @Override
    public void update(SecConfig secConfig) {
        secConfigMapper.updateByPrimaryKeySelective(secConfig);
    }

    @Override
    public void delete(Integer id) {
        secConfigMapper.deleteByPrimaryKey(id);
    }

    @Override
    public SecConfig queryDetail(Integer id) {
        return secConfigMapper.selectByPrimaryKey(id);
    }
}
